> For the complete documentation index, see [llms.txt](https://developer.paywall.one/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.paywall.one/payment-orchestration-integration-document/physical-pos/4.-terminal-label/3.-update.md).

# 3. Update

<mark style="color:orange;">`PUT`</mark> `{{Base Address}}/api/terminal/tag`

It is sufficient to send a request to the address provided above. You can use the 'Base Address' as needed for both the test environment and the production environment.

{% hint style="info" %}
Important: To use the **Terminal Label** Update service, you need to send the '**apikeyprivate**' and '**apiclientprivate**' parameters in the 'Header' field.

\
[<mark style="color:green;">**PhysicalAPI Ad**</mark>](/payment-orchestration-integration-document/environment.md)<mark style="color:green;">**dress**</mark>
{% endhint %}

**The header information that should be sent to the service is as follows:**

<table><thead><tr><th width="243">Parameter</th><th width="106.33333333333331">Type</th><th width="151">Compulsory</th><th>Description</th></tr></thead><tbody><tr><td>apikeyprivate</td><td>string</td><td>Yes</td><td>The Private Key obtained from the merchant panel.</td></tr><tr><td>apiclientprivate</td><td>string</td><td>Yes</td><td>The Private Client obtained from the merchant panel.</td></tr></tbody></table>

**The body information that should be sent to the service is as follows:**

{% tabs %}
{% tab title="JSON" %}

```json
{
  "TerminalTagId": "00a85f64-5717-4562-b3fc-2c963f66afa6",
  "Name": "Levent Şube 3. Cihaz",
  "Code": "levent_sube_cihaz_3",
  "IsActive": false
}
```

{% endtab %}
{% endtabs %}

<table><thead><tr><th width="218">Parameter</th><th width="97.33333333333331">Type</th><th width="132">Compulsory</th><th width="111">Length</th><th>Description</th></tr></thead><tbody><tr><td><pre><code>TerminalId
</code></pre></td><td>Guid</td><td>Yes</td><td>-</td><td>The ID of your terminal.</td></tr><tr><td><pre><code>Name
</code></pre></td><td>string</td><td>Yes</td><td>100</td><td>The label name.</td></tr><tr><td><pre><code>Code
</code></pre></td><td>string</td><td>Yes</td><td>25</td><td>The <mark style="color:red;">unique</mark> code for the label.</td></tr></tbody></table>

**The response returned by the service:**

<table><thead><tr><th width="182">Parameter</th><th width="107.33333333333331">Type</th><th>Description</th></tr></thead><tbody><tr><td>Result</td><td>object</td><td>It returns the details from the service.</td></tr><tr><td>ErrorCode</td><td>int</td><td>Error code. If the operation is successful, it returns the value '0'.</td></tr><tr><td>Succeeded</td><td>bool</td><td>It returns a true or false value. If the operation is <mark style="color:green;">successful</mark>, it returns the value 'true'.</td></tr><tr><td>Failed</td><td>bool</td><td>It returns a true or false value. If the operation is <mark style="color:red;">unsuccessful</mark>, it returns the value 'true'.</td></tr><tr><td>Message</td><td>string</td><td>If the operation is faulty, this is the error message related to it. It provides language support based on the locale parameter.</td></tr><tr><td>ClientMessage</td><td>string</td><td>It returns the fixed values of the Paywall error codes. You can perform mapping.</td></tr></tbody></table>

{% tabs %}
{% tab title="JSON" %}
{% code overflow="wrap" lineNumbers="true" %}

```json5
{
    "result": {
        "status": true
    },
    "failed": false,
    "message": null,
    "clientMessage": null,
    "succeeded": true
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.paywall.one/payment-orchestration-integration-document/physical-pos/4.-terminal-label/3.-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
